# classes/phing/types/selectors/FileSelector.php

This is the interface to be used by all selectors.

author
  Hans Lellelid, hans@xmpl.org (Phing)
author
  Bruce Atherton, bruce@callenish.com (Ant)
package
  phing.types.selectors

## \FileSelector
jump to top

This is the interface to be used by all selectors.

author
  Hans Lellelid, hans@xmpl.org (Phing)
author
  Bruce Atherton, bruce@callenish.com (Ant)
package
  phing.types.selectors

### Methods

`isSelected( \basedir $basedir, \filename $filename, \file $file ) : \whether`
Method that each selector will implement to create their selection behaviour. If there is a problem with the setup of a selector, it can throw a BuildException to indicate the problem.
Parameters

Name | Type | Description
--- | --- | ---
$basedir | \basedir | A PhingFile object for the base directory
$filename | \filename | The name of the file to check
$file | \file | A PhingFile object for this filename

Returns

Type | Description
--- | ---
\whether |

Details

throws
  if the selector was not configured correctly

Documentation was generated by DocBlox 0.13.1.